Loading...
Searching...
No Matches
Exiv2::Internal::Nikon2MnHeader Class Reference

Header of a Nikon 2 Makernote. More...

`#include <makernote_int.hpp>`

Inheritance diagram for Exiv2::Internal::Nikon2MnHeader:
[legend]

## Public Member Functions

Creators
| Nikon2MnHeader ()
| Default constructor.
virtual | ~Nikon2MnHeader ()
| Virtual destructor.
Manipulators
virtual bool | read (const byte *pData, uint32_t size, ByteOrder byteOrder)
| Read the header from a data buffer, return true if ok.
Public Member Functions inherited from Exiv2::Internal::MnHeader
virtual | ~MnHeader ()
| Virtual destructor.
virtual void | setByteOrder (ByteOrder byteOrder)
| Set the byte order for the makernote.
virtual ByteOrder | byteOrder () const
| Return the byte order for the makernote. If the return value is invalidByteOrder, this means that the byte order of the the image should be used for the makernote.
virtual uint32_t | baseOffset (uint32_t mnOffset) const
| Return the base offset for the makernote IFD entries relative to the start of the TIFF header. mnOffset is the offset to the makernote from the start of the TIFF header.

## Accessors

virtual uint32_t | size () const
| Return the size of the header (in bytes).
virtual uint32_t | write (IoWrapper &ioWrapper, ByteOrder byteOrder) const
| Write the header to a data buffer, return the number of bytes written.
virtual uint32_t | ifdOffset () const
| Return the offset to the start of the Makernote IFD from the start of the Makernote (= the start of the header).
static uint32_t | sizeOfSignature ()
| Return the size of the makernote header signature.

## Detailed Description

Header of a Nikon 2 Makernote.

## Member Function Documentation

## ifdOffset()

uint32_t Exiv2::Internal::Nikon2MnHeader::ifdOffset | ( |  | ) | const

virtual

Return the offset to the start of the Makernote IFD from the start of the Makernote (= the start of the header).

Reimplemented from Exiv2::Internal::MnHeader.

## read()

bool Exiv2::Internal::Nikon2MnHeader::read | ( | const byte * | pData,
|  | uint32_t | size,
|  | ByteOrder | byteOrder
| ) |  |

virtual

Read the header from a data buffer, return true if ok.

Implements Exiv2::Internal::MnHeader.

References Exiv2::DataBuf::alloc(), Exiv2::DataBuf::pData_, size(), Exiv2::DataBuf::size_, and sizeOfSignature().

Referenced by Nikon2MnHeader().

## size()

uint32_t Exiv2::Internal::Nikon2MnHeader::size | ( |  | ) | const

virtual

Return the size of the header (in bytes).

Implements Exiv2::Internal::MnHeader.

References sizeOfSignature().

Referenced by read().

## write()

uint32_t Exiv2::Internal::Nikon2MnHeader::write | ( | IoWrapper & | ioWrapper,
|  | ByteOrder | byteOrder
| ) |  | const

virtual

Write the header to a data buffer, return the number of bytes written.

Implements Exiv2::Internal::MnHeader.

References sizeOfSignature(), and Exiv2::Internal::IoWrapper::write().

The documentation for this class was generated from the following files:

- makernote_int.hpp
- makernote_int.cpp